package com.ruoyi.web.plotmanage.mapper;

import com.ruoyi.web.plotmanage.domain.AdFlat;

import java.util.List;


/**
 * 楼宇管理Mapper接口
 * 
 * @author cyx
 * @date 2022-11-24
 */
public interface AdFlatMapper 
{
    /**
     * 查询楼宇管理
     * 
     * @param id 楼宇管理主键
     * @return 楼宇管理
     */
    public AdFlat selectAdFlatById(String id);

    /**
     * 查询楼宇管理列表
     * 
     * @param adFlat 楼宇管理
     * @return 楼宇管理集合
     */
    public List<AdFlat> selectAdFlatList(AdFlat adFlat);

    /**
     * 新增楼宇管理
     * 
     * @param adFlat 楼宇管理
     * @return 结果
     */
    public int insertAdFlat(AdFlat adFlat);

    /**
     * 修改楼宇管理
     * 
     * @param adFlat 楼宇管理
     * @return 结果
     */
    public int updateAdFlat(AdFlat adFlat);

    /**
     * 删除楼宇管理
     * 
     * @param id 楼宇管理主键
     * @return 结果
     */
    public int deleteAdFlatById(String id);

    /**
     * 批量删除楼宇管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAdFlatByIds(String[] ids);
}
